Summary: FFTW libraries with double as real type
Name: fftw
Version: 2.1.1
Release: 1  
Copyright: Distributable
Group: Development/Libraries
Source: fftw-2.1.1.tar.gz
URL: http://theory.lcs.mit.edu/~fftw 
Distribution: RPM by T. Oliphant
Packager: Travis Oliphant <Oliphant.Travis@mayo.edu>
BuildRoot: /tmp/fftw-root
%changelog
* Tue Mar 30 1999 Travis Oliphant <oliphant.travis@altavista.net>
  - updated to version 2.1.1

* Tue Mar 9  1999 Travis Oliphant <oliphant.travis@altavista.net>
  - updated to version 2.1

* Tue Dec 29 1998 Travis Oliphant <Oliphant.Travis@altavista.net>

  - first distribution

%description
 FFTW is a collection of fast C routines for computing the Discrete 
 Fourier Transform in one or more dimensions. FFTW is unique in two 
 respects. First, it is not just optimized for arrays whose sizes 
 are powers of 2, 3, or other small numbers. Instead, FFTW comes
 with a code generator that produces C programs for any particular 
 array size you may care about. Second, it doesn't use a fixed
 strategy for performing the transform. There are usually many ways
 to decompose a big problem into small problems, and the optimal way
 often depends on many unpredictable factors. Unlike other programs,
 FFTW can find the optimal decomposition at runtime for the machine
 it is running on. 

 This package includes both static and dynamic libraries and
 documentation. It is compiled for pentium or better processors.

%package float
Summary: FFTW libraries with float as real type
Group: Development/Libraries
%description float
 FFTW allows defining the underlying real type as either a float or
 a double.  The default is to use double.  This package installs 
 libraries with the underlying real type as a 4-byte float.  It 
 names the libraries libsfftw.*

 This package includes both static and dynamic libraries. it is 
 compiled for pentium or better processors.

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%post float
/sbin/ldconfig

%postun float
/sbin/ldconfig

%prep
%setup

%build
OPTIONS="--enable-shared --enable-type-prefix --enable-threads --enable-i386-hacks --host=i586-pc-linux-gnu --prefix=$RPM_BUILD_ROOT/usr"

./configure --enable-float $OPTIONS
make
make install

# Now Make with doubles
cd $RPM_BUILD_DIR
rm -fr fftw-$RPM_PACKAGE_VERSION
tar zxvf $RPM_SOURCE_DIR/fftw-$RPM_PACKAGE_VERSION.tar.gz
cd fftw-$RPM_PACKAGE_VERSION
chown -R root.root .
chmod -R a+rX,g-w,o-w .

./configure $OPTIONS
make
(cd doc; make html; make fftw.ps)

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/fftw.ps
%doc doc/equation-1.gif
%doc doc/equation-2.gif
%doc doc/equation-3.gif
%doc doc/equation-4.gif
%doc doc/fftw_1.html
%doc doc/fftw_2.html
%doc doc/fftw_3.html
%doc doc/fftw_4.html
%doc doc/fftw_5.html
%doc doc/fftw_6.html
%doc doc/fftw_7.html
%doc doc/fftw_8.html
%doc doc/fftw_9.html
%doc doc/fftw_10.html
%doc doc/fftw_toc.html
%doc doc/fftw_foot.html
%doc FAQ/fftw-faq.ascii
%doc FAQ/fftw-faq.html
/usr/lib/libdfftw.so.2.0.3
/usr/lib/libdfftw.so.2
/usr/lib/libdfftw.so
/usr/lib/libdfftw.la
/usr/lib/libdfftw.a
/usr/lib/libdrfftw.so.2.0.3
/usr/lib/libdrfftw.so.2
/usr/lib/libdrfftw.so
/usr/lib/libdrfftw.la
/usr/lib/libdrfftw.a
/usr/lib/libdfftw_threads.so.2.0.3
/usr/lib/libdfftw_threads.so.2
/usr/lib/libdfftw_threads.so
/usr/lib/libdfftw_threads.la
/usr/lib/libdfftw_threads.a
/usr/lib/libdrfftw_threads.so.2.0.3
/usr/lib/libdrfftw_threads.so.2
/usr/lib/libdrfftw_threads.so
/usr/lib/libdrfftw_threads.la
/usr/lib/libdrfftw_threads.a
/usr/include/dfftw.h
/usr/include/drfftw.h
/usr/include/dfftw_threads.h
/usr/include/drfftw_threads.h
/usr/info/fftw.info
/usr/info/fftw.info-1
/usr/info/fftw.info-2
/usr/info/fftw.info-3
/usr/info/fftw.info-4
/usr/info/fftw.info-5

%files float
/usr/lib/libsfftw.so.2.0.3
/usr/lib/libsfftw.so.2
/usr/lib/libsfftw.so
/usr/lib/libsfftw.la
/usr/lib/libsfftw.a
/usr/lib/libsrfftw.so.2.0.3
/usr/lib/libsrfftw.so.2
/usr/lib/libsrfftw.so
/usr/lib/libsrfftw.la
/usr/lib/libsrfftw.a
/usr/lib/libsfftw_threads.so.2.0.3
/usr/lib/libsfftw_threads.so.2
/usr/lib/libsfftw_threads.so
/usr/lib/libsfftw_threads.la
/usr/lib/libsfftw_threads.a
/usr/lib/libsrfftw_threads.so.2.0.3
/usr/lib/libsrfftw_threads.so.2
/usr/lib/libsrfftw_threads.so
/usr/lib/libsrfftw_threads.la
/usr/lib/libsrfftw_threads.a
/usr/include/sfftw.h
/usr/include/srfftw.h
/usr/include/sfftw_threads.h
/usr/include/srfftw_threads.h
